<mat-sidenav-container>
    <mat-sidenav #sidenav role="navigation" (click)="sidenav.toggle()">
        <mat-nav-list>
            <button mat-list-item
                    (click)="linkActiveNav('home')"
                    [routerLink]="['/', 'home']">
                <mat-icon class="icon">home</mat-icon>
                <span class="label">{{_dictionary.homePage}}</span>
            </button>

            <a mat-list-item
               (click)="linkActiveNav('all')"
               routerLink="all">
                <mat-icon class="icon">airplanemode_active</mat-icon>
                <span class="label">{{_dictionary.allAircrafts}}</span>
            </a>

            <a mat-list-item
               (click)="linkActiveNav('civil')"
               routerLink="civil">
                <mat-icon class="icon">airplanemode_active</mat-icon>
                <span class="label">{{_dictionary.civilAircrafts}}</span>
            </a>

            <a mat-list-item
               (click)="linkActiveNav('military')"
               routerLink="military">
                <mat-icon class="icon">airplanemode_active</mat-icon>
                <span class="label">{{_dictionary.militaryAircrafts}}</span>
            </a>

        </mat-nav-list>
    </mat-sidenav>
    <mat-sidenav-content>
        <mat-toolbar color="warn">
            <div fxHide.gt-xs>
                <button mat-icon-button (click)="sidenav.toggle()">
                    <mat-icon>menu</mat-icon>
                </button>
            </div>
            <div>
                <a routerLink="/">
                    Aircraft
                </a>
            </div>
            <div fxFlex fxLayout fxLayoutAlign="flex-end" fxHide.xs>
                <ul fxLayout fxLayoutGap="20px" class="navigation-items">
                    <li class="user-tab">

                        <a (click)="linkActiveNav('login')"
                        class="{{isActiveHome}}"
                        routerLink="login">
                            <mat-icon class="icon">person</mat-icon>
                            <span class="label" *ngIf="loginService.statusLogin">{{loginService.firstname}} {{loginService.surname}}</span>
                            <span class="label" *ngIf="!loginService.statusLogin">Login</span>
                        </a>
                    </li>
                    <li *ngIf="loginService.statusLogin">
                        <a
                            (click)="linkActiveNav('home')"
                            class="{{isActiveHome}}"
                            routerLink="home">
                            <mat-icon class="icon">home</mat-icon>
                            <span class="label">{{_dictionary.homePage}}</span>
                        </a>
                    </li>
                    <li *ngIf="loginService.statusLogin">
                        <a
                            (click)="linkActiveNav('all')"
                            class="{{isActiveAll}}"
                            routerLink="all">
                            <mat-icon class="icon">airplanemode_active</mat-icon>
                            <span class="label">{{_dictionary.allAircrafts}}</span>
                        </a>
                    </li>
                    <li *ngIf="loginService.statusLogin">
                        <a
                            (click)="linkActiveNav('civil')"
                            class="{{isActiveCivil}}"
                            routerLink="civil">
                            <mat-icon class="icon">airplanemode_active</mat-icon>
                            <span class="label">{{_dictionary.civilAircrafts}}</span>
                        </a>
                    </li>
                    <li *ngIf="loginService.statusLogin">
                        <a
                            (click)="linkActiveNav('military')"
                            class="{{isActiveMilitary}}"
                            routerLink="military">
                            <mat-icon class="icon">airplanemode_active</mat-icon>
                            <span class="label">{{_dictionary.militaryAircrafts}}</span>
                        </a>
                    </li>
                </ul>
            </div>
        </mat-toolbar>
        <main>
            <router-outlet></router-outlet>
        </main>
    </mat-sidenav-content>
</mat-sidenav-container>

